%define major		0
%define libname		%mklibname evhtp %{major}
%define develname	%mklibname evhtp -d

Name:		libevhtp
Version:	1.2.18
Release:	%mkrel 5
Summary:	A more flexible replacement for libevent's http API
License:	BSD
Group:		System/Libraries
Url:		https://criticalstack.com/
Source0:	https://github.com/criticalstack/libevhtp/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		libevhtp-1.2.18-fix-libraries-path.patch
BuildRequires:	cmake
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(oniguruma)

%description
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	evhtp-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DEVHTP_BUILD_SHARED:STRING=ON \
       -DEVHTP_USE_JEMALLOC:STRING=ON

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libevhtp.so.%{major}
%{_libdir}/libevhtp.so.%{version}

%files -n %{develname}
%doc ChangeLog README.markdown
%license LICENSE
%{_includedir}/evhtp.h
%{_includedir}/evhtp/
%{_libdir}/libevhtp.so
%{_libdir}/pkgconfig/evhtp.pc
%{_libdir}/cmake/libevhtp/


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.2.18-5.mga9
+ Revision: 1800049
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.2.18-4.mga9
+ Revision: 1747582
- rebuild for openssl 3.0.0

* Sun Feb 16 2020 daviddavid <daviddavid> 1.2.18-3.mga8
+ Revision: 1531985
- rebuild for new libevent 2.1.11

* Fri Feb 14 2020 umeabot <umeabot> 1.2.18-2.mga8
+ Revision: 1522875
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Feb 10 2019 daviddavid <daviddavid> 1.2.18-1.mga7
+ Revision: 1364832
- new version: 1.2.18

* Sun Sep 23 2018 umeabot <umeabot> 1.2.15-3.mga7
+ Revision: 1298832
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 daviddavid <daviddavid> 1.2.15-2.mga7
+ Revision: 1210882
- rebuild for new oniguruma 6.8.1

* Sat Jan 13 2018 daviddavid <daviddavid> 1.2.15-1.mga7
+ Revision: 1192520
- new version: 1.2.15
- now libmajor is revert to 0

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 1.2.11n-2.mga6
+ Revision: 1086231
- rebuild for new libevent

* Thu May 12 2016 daviddavid <daviddavid> 1.2.11n-1.mga6
+ Revision: 1014272
- initial package libevhtp

